Get shop reviews
curl --request GET \
--url https://scrapebadger.com/v1/etsy/shops/{shop_name}/reviews \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/etsy/shops/{shop_name}/reviews"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/etsy/shops/{shop_name}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/etsy/shops/{shop_name}/reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/etsy/shops/{shop_name}/reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/etsy/shops/{shop_name}/reviews")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/etsy/shops/{shop_name}/reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyEtsy endpoints
Get shop reviews
Get shop reviews.
GET
/
v1
/
etsy
/
shops
/
{shop_name}
/
reviews
Get shop reviews
curl --request GET \
--url https://scrapebadger.com/v1/etsy/shops/{shop_name}/reviews \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/etsy/shops/{shop_name}/reviews"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/etsy/shops/{shop_name}/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scrapebadger.com/v1/etsy/shops/{shop_name}/reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scrapebadger.com/v1/etsy/shops/{shop_name}/reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://scrapebadger.com/v1/etsy/shops/{shop_name}/reviews")
.header("X-API-Key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://scrapebadger.com/v1/etsy/shops/{shop_name}/reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<x-api-key>'
response = http.request(request)
puts response.read_bodyGet shop reviews.
Credits: 20 per successful request. Failed requests and empty result sets are not charged.
Browse all Etsy endpoints.
Authentication
string
required
Your ScrapeBadger API key.
Parameters
string
required
Shop name.
integer
default:"1"
Page. Minimum: 1. Maximum: 10000.
string
default:"US"
Country.
string
default:"USD"
Currency.
string
default:"en-US"
Language.
Response
{
"reviews": [
{
"review_id": "5230925311",
"rating": 5.0,
"text": "Beautiful mug! I got two and both came with a free bookmark! ❤️",
"author": "Chloe",
"author_url": "https://www.etsy.com/people/9mc1acsys9tc7ed7?ref=l_review",
"created_utc": 1791244800.0,
"created_at": "2026-10-06T00:00:00Z",
"listing_id": "4573559591",
"listing_title": "Handmade ghost gallery halloween mug",
"listing_url": "https://www.etsy.com/listing/4573559591/handmade-ghost-gallery-halloween-mug?ref=reviews",
"seller_response": null,
"images": [],
"author_avatar": "https://i.etsystatic.com/iusa/8a87cc/85566462/iusa_75x75.85566462_amws.jpg?version=0",
"translated_text": null,
"translation_context": {
"canTranslateReview": false,
"canTranslateResponse": false,
"targetLanguageCode": "en",
"targetLanguageName": "English"
},
"original": {
"transactionId": 5230925311,
"reviewInfo": {
"isRecommended": null,
"rating": 5,
"reviewDate": "Oct 6, 2026",
"shouldShowVariations": false,
"shouldShowTransactionData": true,
"transactionData": {
"listingTitle": "Handmade ghost gallery halloween mug",
"listingUrl": "/listing/4573559591/handmade-ghost-gallery-halloween-mug?ref=reviews"
}
},
"buyerInfo": {
"name": "Chloe",
"isAnonymous": false,
"isInactive": false,
"profileUrl": "https://www.etsy.com/people/9mc1acsys9tc7ed7?ref=l_review",
"avatarUrl": "https://i.etsystatic.com/iusa/8a87cc/85566462/iusa_75x75.85566462_amws.jpg?version=0"
},
"reviewContent": {
"appreciationPhotoUrl": null,
"reviewText": "Beautiful mug! I got two and both came with a free bookmark! ❤️",
"emphasizedText": [],
"reviewTextTranslated": null,
"translationAttributionMessage": null
},
"sellerResponse": null,
"translationContext": {
"canTranslateReview": false,
"canTranslateResponse": false,
"targetLanguageCode": "en",
"targetLanguageName": "English"
}
}
}
],
"page": 2,
"total_results": 411,
"total_pages": 52,
"average_rating": 4.97,
"rating_counts": {
"5": 403,
"4": 6,
"3": 1,
"2": 1,
"1": 0,
"All": 411
},
"tag_filters": [],
"shop_name": "GlazyLittleThings"
}
Example
curl --get 'https://scrapebadger.com/v1/etsy/shops/GlazyLittleThings/reviews' \
--header 'X-API-Key: YOUR_API_KEY'

